For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList Evaluations
      • POSTCreate Evaluation
      • POSTAdd Evaluators
      • DELRemove Evaluator
      • GETGet Evaluation
      • DELDelete Evaluation
      • GETList Runs for Evaluation
      • POSTCreate Run
      • POSTAdd Existing Run
      • DELRemove Run
      • PATCHUpdate Evaluation Run
      • POSTAdd Logs to Run
      • GETGet Evaluation Stats
      • GETGet Logs for Evaluation
LogoLogo
Sign inBook a demo
APIEvaluations

Remove Evaluator

DELETE
https://api.humanloop.com/v5/evaluations/:id/evaluators/:evaluator_version_id
DELETE
/v5/evaluations/:id/evaluators/:evaluator_version_id
$curl -X DELETE https://api.humanloop.com/v5/evaluations/id/evaluators/evaluator_version_id \
> -H "X-API-KEY: <apiKey>"
1{
2 "id": "id",
3 "runs_count": 1,
4 "evaluators": [
5 {
6 "version": {
7 "path": "path",
8 "id": "id",
9 "spec": {
10 "arguments_type": "target_free",
11 "return_type": "boolean",
12 "evaluator_type": "llm"
13 },
14 "name": "name",
15 "version_id": "version_id",
16 "created_at": "2024-01-15T09:30:00Z",
17 "updated_at": "2024-01-15T09:30:00Z",
18 "last_used_at": "2024-01-15T09:30:00Z",
19 "version_logs_count": 1,
20 "total_logs_count": 1,
21 "inputs": [
22 {
23 "name": "name"
24 }
25 ]
26 },
27 "orchestrated": true,
28 "added_at": "2024-01-15T09:30:00Z"
29 }
30 ],
31 "created_at": "2024-01-15T09:30:00Z",
32 "updated_at": "2024-01-15T09:30:00Z",
33 "name": "name",
34 "file_id": "file_id",
35 "created_by": {
36 "id": "id",
37 "email_address": "email_address",
38 "full_name": "full_name"
39 },
40 "url": "url"
41}
Remove an Evaluator from an Evaluation. The Evaluator will no longer be run on the Logs in the Evaluation.
Was this page helpful?
Previous

Get Evaluation

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Evaluation.
evaluator_version_idstringRequired
Unique identifier for Evaluator Version.

Response

Successful Response
idstring

Unique identifier for the Evaluation. Starts with evr.

runs_countinteger
The total number of Runs in the Evaluation.
evaluatorslist of objects
The Evaluator Versions used to evaluate.
created_atdatetime
updated_atdatetime
namestring
Name of the Evaluation to help identify it. Must be unique among Evaluations associated with File.
file_idstring
Unique identifier for the File associated with the Evaluation.
created_byany
urlstring
URL to view the Evaluation on the Humanloop.

Errors

422
Remove Evaluator Evaluations ID Evaluators Evaluator Version ID Delete Request Unprocessable Entity Error